#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x37d4285d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x11aa7698, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xb484837d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xbd7d84d4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x03f696d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xeabea95e, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x93fc6eb1, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x007ee281, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x6aa65810, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x818dc362, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x3c65551a, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x91d44786, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x54d5d86d, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xb1a9ac39, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xd0e49f46, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x55e8e1f6, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xd533be71, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x141fdf89, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x56a3bbf7, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xf57e352a, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x158c1662, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xc07d60b7, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x4c7bda0c, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x4a61a2c7, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x00ef1d3e, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x38b1e3e8, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xce8dd2ef, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x4ff01b24, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x46eb9b58, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xf9214113, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x48674b4c, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xf224ba7e, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x65111043, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x3d5f794c, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xe2cf14a2, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xa85530bf, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xb37e555d, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x70ede2d1, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xe6df25bb, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xaae3d743, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xe4afe817, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xba6ad8f9, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x8bfb2470, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xe06b916b, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xb034a9a8, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xda1ac03b, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xfbc66c81, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x860a0009, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2edb7346, "perf_trace_run_bpf_submit" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa5b1ba51, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x7b007e77, "put_device" },
	{ 0xa324dc82, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5e51642f, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xc073fa5, "get_device" },
	{ 0x4d9f16e8, "device_find_child" },
	{ 0x4d668aab, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1011829e, "dev_printk" },
	{ 0x884ff0a4, "scsi_target_unblock" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6b263fa9, "netlink_kernel_release" },
	{ 0xe20f7158, "bus_unregister" },
	{ 0x33ff9562, "transport_class_unregister" },
	{ 0x190360f1, "class_unregister" },
	{ 0xe37dbdbc, "class_register" },
	{ 0x69c21ddd, "transport_class_register" },
	{ 0xf9f957b4, "bus_register" },
	{ 0x29d8648b, "init_net" },
	{ 0x41008700, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc79016, "scsi_host_get" },
	{ 0x1bbb26c6, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x5eef75b, "scsi_init_limits" },
	{ 0xd957125b, "bsg_setup_queue" },
	{ 0x3958f89c, "netlink_broadcast_filtered" },
	{ 0x45e186a7, "__alloc_skb" },
	{ 0x4e4e82c4, "__nlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x54632664, "scsi_is_host_device" },
	{ 0xb98517ca, "bsg_remove_queue" },
	{ 0x19e76851, "scsi_host_put" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9c46ffcb, "bsg_job_done" },
	{ 0x51871f0, "scsi_host_lookup" },
	{ 0x80b92b69, "skb_trim" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfde33138, "transport_remove_device" },
	{ 0xe130a749, "transport_destroy_device" },
	{ 0x6ac2a0f3, "device_del" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xfb0a9978, "dev_set_name" },
	{ 0x7a761256, "device_register" },
	{ 0x1b47180e, "sysfs_create_group" },
	{ 0x8fdcbc2d, "attribute_container_register" },
	{ 0xe3fd3435, "device_add" },
	{ 0x26e63613, "transport_setup_device" },
	{ 0x3e213cd9, "transport_add_device" },
	{ 0xb76308c0, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x143143c6, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc3b6e662, "scsi_remove_target" },
	{ 0x3c2a796c, "scsi_scan_target" },
	{ 0xeefb4a7, "netlink_capable" },
	{ 0x5870cc5b, "try_module_get" },
	{ 0xd61365ce, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2ef2d9a1, "netlink_unicast" },
	{ 0x641218c, "skb_pull" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0xbb1f866e, "param_ops_int" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DE0EEF9835D403381308334");
MODULE_INFO(rhelversion, "9.7");
