#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x10ecbc37, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xe8626ed9, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x4fd27eb5, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x63240cad, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x889df6fb, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xb8cd4749, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x173d9671, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x45b8f549, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0xd03f5de3, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x50d1ae81, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xca03ed94, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x0bd8e9e1, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x44cabcd8, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x53d83f32, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x9ed754d9, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xcb6480d8, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xb094255a, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xe7c64c9a, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x2b18a9ae, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xd8d89e1e, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x2f9fc50f, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x21caa029, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x840bbf93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6dfec64, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc9cc5ee1, "icmpv6_ndo_send" },
	{ 0x32286030, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa964663, "alloc_netdev_mqs" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x345ab80d, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x36a24ae6, "ip_route_output_flow" },
	{ 0x10fd1e14, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0x3ba3ae29, "__dev_get_by_index" },
	{ 0x77241d87, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf65e8b72, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdb49a1fd, "netdev_state_change" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x36383b2, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x29d8648b, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb1e067cf, "skb_copy_bits" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0xc89895da, "pskb_expand_head" },
	{ 0xbda49253, "__skb_get_hash_net" },
	{ 0x69ec6d95, "dst_cache_get_ip4" },
	{ 0xfb38dc2f, "dst_cache_set_ip4" },
	{ 0x16b983aa, "iptunnel_xmit" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0xc1613796, "skb_scrub_packet" },
	{ 0xc0be0297, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9fd0cb22, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3d82a2a9, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6FC6085F0B91B1B138B3E8");
MODULE_INFO(rhelversion, "9.7");
