#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x35b1b97e, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x2786c9c4, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x3dc6ed32, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x7de605e9, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x2037ad3a, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x0705e320, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xa089b8f2, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xfbc02814, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x0dc5155e, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xca921355, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x29affb8a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xb48f9e04, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xab129d28, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x92953ad1, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x2ba27177, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x88c4b396, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x1c1116f9, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x71b9564a, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x324a24f7, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x47b5d2ed, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x07b2d245, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xc29079a1, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xf1bd8a66, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x3a703283, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x1c5806d6, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xd3e57786, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xfd26c83a, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x851e8923, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x9711853a, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xcf5d8407, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x388e6d0e, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xfa438b16, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x50a6ce5c, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x5e143329, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x4d81794d, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xab16ab20, "");
SYMBOL_CRC(mlx4_test_async, 0x86ac15ee, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xeabc2e96, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xdaa99a3b, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x3efaec22, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xb5dcf9b2, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x37d15a6a, "");
SYMBOL_CRC(mlx4_assign_eq, 0x1c571701, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xdd02ffa3, "");
SYMBOL_CRC(mlx4_release_eq, 0x64080398, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x86af2fce, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x45eee294, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xdf8c9311, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x47bd03f0, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x60081524, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xc53cc505, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x5261a1b5, "");
SYMBOL_CRC(mlx4_wol_read, 0x86739c8e, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x1735a948, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x3432855a, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x0490fad6, "");
SYMBOL_CRC(set_phv_bit, 0xf1e30c1f, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x0a022a47, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x49b643e0, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xaaa112f9, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xb9334a01, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x17236c49, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xd544acc5, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xa25b92bb, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xcc5a597f, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x2731d440, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xbf40de6b, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x161af4fd, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x70e637df, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xbd9e3dcb, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x78d24578, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x3dc13a8e, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x4b5739e5, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x77b909a3, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x38e06639, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xeef811aa, "");
SYMBOL_CRC(mlx4_read_clock, 0x081c91c7, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x461e2b8e, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xd6e02c02, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xf914f392, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xa222496f, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x2532b487, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x27c6cd9c, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x6411503f, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x6cf91662, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xdbf9985f, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x228f6d3a, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x064a7199, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x29b9d387, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xacbaf1b8, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x91a26516, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x56c47370, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xb954b99c, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x59b15a79, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xa7f352fe, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x39d6f035, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x73ee2c76, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x2e0909f0, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xc522ad56, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xa60e6837, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xb418de2d, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x5705b7cd, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x5b7f6f85, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xa0b1ce45, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xce7ce339, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xd8c32902, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xda8c53a2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xf35cb491, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x8f69c609, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x7ed8c774, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xc7fb7094, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x88d9145a, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x2350de0f, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xd0cad298, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xdf9f6ecb, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x9e5588a8, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xfa7c4b3d, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x9044fd87, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xd1873cd5, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xfbdc2b92, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xb96e9787, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xbd0afd62, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x56a3c94a, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xcc30ad04, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xaf2225f6, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xfec51532, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x61c4d1ec, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xdcf06052, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xb57858ed, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xf4f64e4c, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x4a68cd49, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x436c646d, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xcb3f9ae2, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xb62da0c9, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x1b90fc0f, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xf518aad8, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x1eb61b69, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xe8da8d8c, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x04122251, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xdaf2c0f4, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x1a247726, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x1fde4f29, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xa7a3b4c4, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x8e64237b, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xf959ee20, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xf00a8006, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xf3af0d3b, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xaf00654e, "");
SYMBOL_CRC(mlx4_get_module_info, 0x0a7d340f, "");
SYMBOL_CRC(mlx4_max_tc, 0x2b36132c, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x9b7cdc2a, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xc2e590a9, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xaa00fe32, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x2c12472f, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xfae75af4, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xe96e56ab, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x27eeee91, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x9d081a32, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x2f50f686, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x8d2a4ac9, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x6764a3fe, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x7db2e400, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x27b85914, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x88b1d7c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b92d29c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1911547b, "pcie_capability_write_word" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6dfa709f, "devl_region_create" },
	{ 0xebd9365f, "devlink_unregister" },
	{ 0xa5f376f6, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xf57b6f20, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x836cfe88, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8623632d, "devlink_region_snapshot_id_get" },
	{ 0x549d8363, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x5e93502a, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x3b468d31, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf1fa6806, "param_array_ops" },
	{ 0x2eb86225, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x40efb6e0, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x52b0543f, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xfdc0ace9, "devlink_register" },
	{ 0xb43e6e1a, "devlink_port_type_clear" },
	{ 0xbcd29d31, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x74cd79eb, "param_ops_byte" },
	{ 0xc073fa5, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x5f7e392a, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xf2189b12, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xf05ffa2b, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f144c1, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x33596895, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7b007e77, "put_device" },
	{ 0x28dcd982, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd1b2b72c, "kmalloc_node_trace" },
	{ 0x19b6546e, "__free_pages" },
	{ 0x9b4b1861, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7d8c0f5a, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x17952152, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xc3f28177, "_dev_err" },
	{ 0x29d8648b, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x19eea6e0, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x9e10e5f3, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xecdc2e15, "dma_alloc_attrs" },
	{ 0x6f089118, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x87efe4d8, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x7cbee7aa, "pci_restore_state" },
	{ 0x6ac2a0f3, "device_del" },
	{ 0xfa36edb6, "devl_param_driverinit_value_set" },
	{ 0xf5954313, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xb8a26776, "__alloc_pages" },
	{ 0x7ba9f71c, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x3fbb586a, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0xf63add1e, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0xdf452050, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xeea21206, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc00e8670, "param_ops_bool" },
	{ 0xdac2b8ba, "pci_release_regions" },
	{ 0x228769c7, "__dma_sync_single_for_device" },
	{ 0x2c96517e, "devl_assert_locked" },
	{ 0x58c8ac12, "pcie_print_link_status" },
	{ 0xd02b2238, "alloc_pages" },
	{ 0x81d99547, "devl_port_unregister" },
	{ 0xf5aa2d3e, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xab0d63d9, "devlink_priv" },
	{ 0x5cb601e2, "pci_disable_sriov" },
	{ 0x20b42bf0, "pci_disable_msix" },
	{ 0x22e7e5c1, "pci_disable_device" },
	{ 0x1011829e, "dev_printk" },
	{ 0x40c9554f, "dma_set_mask" },
	{ 0xab626b81, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa7b0533f, "dma_unmap_sg_attrs" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbb1f866e, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x6b5ceee0, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x2546c2b3, "pci_write_config_dword" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xc22184a, "device_remove_file" },
	{ 0x86c30dd5, "dma_map_sg_attrs" },
	{ 0x93003333, "devl_param_value_changed" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.7");
