#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x2a2ac893, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x50913ba3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9d618f34, "fasync_helper" },
	{ 0x60fdd6fb, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c3e21ba, "netdev_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x13242cd, "from_kgid_munged" },
	{ 0x64ac876e, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5c4c6449, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x755f8961, "dev_get_tstats64" },
	{ 0x3e1095db, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0xfcaee689, "rtnl_link_register" },
	{ 0xdeb065df, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf34ebfe, "misc_deregister" },
	{ 0xfd646579, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x45767b5e, "xdp_return_frame" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x5729ba5d, "netif_carrier_on" },
	{ 0x6732852f, "netif_carrier_off" },
	{ 0x1ab1366f, "bpf_prog_put" },
	{ 0xfa5087c4, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x29a543c2, "sock_init_data_uid" },
	{ 0xc77a1e5d, "sk_free" },
	{ 0x36a0a266, "_copy_to_iter" },
	{ 0x968edb03, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf84cd73c, "iov_iter_advance" },
	{ 0x2f01f94f, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xa865e89e, "kill_fasync" },
	{ 0x1bee1424, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x235ee7f0, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd43a85cc, "xdp_rxq_info_unreg" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2e76e631, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd61365ce, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a16fb3b, "netdev_core_stats_inc" },
	{ 0x67705a47, "xdp_do_redirect" },
	{ 0xa15bfa0e, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xccd4643f, "__traceiter_xdp_exception" },
	{ 0x544a2ddd, "xdp_return_frame_rx_napi" },
	{ 0x2ea855eb, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xfcd54efa, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1d352ded, "netif_receive_skb" },
	{ 0xd06affd4, "napi_gro_receive" },
	{ 0x3cab807c, "napi_complete_done" },
	{ 0x6ddcfe7d, "build_skb" },
	{ 0x532d878d, "skb_put" },
	{ 0xcc31357f, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc00f4c3b, "napi_get_frags" },
	{ 0x9b55eacc, "iov_iter_single_seg_count" },
	{ 0xc89895da, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x18b63169, "seq_printf" },
	{ 0xdaaa8dbd, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xdb683e29, "__skb_get_hash_symmetric_net" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x69e5a398, "sk_filter_trim_cap" },
	{ 0x3e05469, "skb_clone_tx_timestamp" },
	{ 0xd6f9fe6c, "skb_copy_ubufs" },
	{ 0xad58c25e, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x857d12bb, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ddcd2f4, "___pskb_trim" },
	{ 0xcedffe5c, "netif_set_real_num_tx_queues" },
	{ 0xfd8fb1cd, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0xdb49a1fd, "netdev_state_change" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xb43e550d, "__xdp_rxq_info_reg" },
	{ 0x8ec6f2da, "xdp_rxq_info_reg_mem_model" },
	{ 0x5189b9cb, "netif_napi_add_weight" },
	{ 0x2e8222f0, "napi_enable" },
	{ 0x7e547a10, "xdp_rxq_info_is_reg" },
	{ 0x859bad50, "lock_sock_nested" },
	{ 0xe814f438, "sk_attach_filter" },
	{ 0xb33c3e9f, "release_sock" },
	{ 0xd547c46b, "__dev_get_by_name" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xa964663, "alloc_netdev_mqs" },
	{ 0x7c5cb2f8, "ip_tunnel_header_ops" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0x8986339f, "netif_tx_wake_queue" },
	{ 0xf38b1df0, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x345ab80d, "free_netdev" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xe06c884b, "bpf_prog_get_type_dev" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x1ec7c695, "__skb_flow_dissect" },
	{ 0x584acf2b, "skb_partial_csum_set" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x6bd27b30, "skb_page_frag_refill" },
	{ 0x60c0ea86, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x9999552, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa36116a0, "__folio_put" },
	{ 0xd49bfeb6, "_copy_from_iter" },
	{ 0x58e129e1, "iov_iter_npages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf60a89a5, "skb_copy_datagram_from_iter" },
	{ 0x9fd0cb22, "eth_type_trans" },
	{ 0xe8097bab, "sock_alloc_send_pskb" },
	{ 0xc18436d4, "zerocopy_sg_from_iter" },
	{ 0xe02b2ec2, "napi_schedule_prep" },
	{ 0xa6cff1a2, "__napi_schedule" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x89c8b5cb, "do_xdp_generic" },
	{ 0x7e7a6a60, "iov_iter_revert" },
	{ 0x1067651c, "skb_push" },
	{ 0xcd7584a7, "eth_get_headlen" },
	{ 0xaa4611ea, "napi_gro_frags" },
	{ 0x1742cf96, "__page_frag_cache_drain" },
	{ 0x3f11342d, "get_net_ns" },
	{ 0xc630c4ed, "open_related_ns" },
	{ 0xcde9a21e, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x926ef7c1, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x89e24dde, "sk_detach_filter" },
	{ 0xc874bf7f, "make_kuid" },
	{ 0x3d491e68, "init_user_ns" },
	{ 0xa683a535, "from_kuid" },
	{ 0x767bb250, "dev_set_mac_address_user" },
	{ 0x7e28e754, "netdev_update_features" },
	{ 0x695a1034, "call_netdevice_notifiers" },
	{ 0xf8e28377, "__module_get" },
	{ 0xb284a89b, "from_kgid" },
	{ 0x12a50d9d, "ethtool_op_get_link" },
	{ 0x89f0be51, "ethtool_op_get_ts_info" },
	{ 0x2f9b95f6, "passthru_features_check" },
	{ 0xf9d3b4be, "eth_mac_addr" },
	{ 0x17e4a5c4, "eth_validate_addr" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "69F501478002F1640591599");
MODULE_INFO(rhelversion, "9.7");
