#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x4a94fcf1, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x4793674c, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x41a418c5, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x3ff9272e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x7880a7d2, "__skb_checksum_complete" },
	{ 0x9521adff, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xb1e067cf, "skb_copy_bits" },
	{ 0x4e4e82c4, "__nlmsg_put" },
	{ 0x6a6be9f7, "netdev_adjacent_change_commit" },
	{ 0xf9d3b4be, "eth_mac_addr" },
	{ 0x532d878d, "skb_put" },
	{ 0xfb6bd8cb, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x253e97ff, "ip6_dst_hoplimit" },
	{ 0x3c0f8a8, "param_ops_ushort" },
	{ 0xfcd54efa, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xe033c739, "udp_sock_create4" },
	{ 0x6b809c91, "udp_tunnel6_xmit_skb" },
	{ 0xfcaee689, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8c27b044, "__unregister_nexthop_notifier" },
	{ 0x90e85569, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x17e4a5c4, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xf65e8b72, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd34f8832, "rtnl_create_link" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc0f07839, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xf38b1df0, "ether_setup" },
	{ 0x734405e7, "udp_tunnel_drop_rx_port" },
	{ 0x4d80cacf, "netdev_upper_dev_link" },
	{ 0xc89895da, "pskb_expand_head" },
	{ 0xb9c95ade, "register_pernet_subsys" },
	{ 0x9fd0cb22, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x45e186a7, "__alloc_skb" },
	{ 0xd642323d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x40fbc005, "eth_gro_complete" },
	{ 0x79df5f8f, "rtnl_set_sk_err" },
	{ 0xd52da925, "eth_gro_receive" },
	{ 0x337bdae6, "rtnl_configure_link" },
	{ 0xd3bf4fa2, "skb_tunnel_check_pmtu" },
	{ 0x98417f20, "udp_tunnel_dst_lookup" },
	{ 0xe55b7eb2, "rtnl_unicast" },
	{ 0x9cf4d98d, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xbda49253, "__skb_get_hash_net" },
	{ 0x77241d87, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3ba3ae29, "__dev_get_by_index" },
	{ 0xfd646579, "rtnl_link_unregister" },
	{ 0xf89e9100, "ipv6_stub" },
	{ 0x641218c, "skb_pull" },
	{ 0x2eb06f56, "gro_find_complete_by_type" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x73dcec0d, "dev_get_by_index_rcu" },
	{ 0xc0be0297, "gro_cells_receive" },
	{ 0x1067651c, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc1a98cf1, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x345ab80d, "free_netdev" },
	{ 0xfc7ebbba, "ip_mc_join_group" },
	{ 0x1d0d1762, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x859bad50, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x12a50d9d, "ethtool_op_get_link" },
	{ 0xd91f2a85, "nexthop_find_by_id" },
	{ 0x701f5838, "arp_create" },
	{ 0x45e7b15f, "__ethtool_get_link_ksettings" },
	{ 0x477acee, "netdev_adjacent_change_prepare" },
	{ 0xab88701f, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf234d0bc, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xde9e80f4, "netdev_adjacent_change_abort" },
	{ 0x2b51641d, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x535c97b6, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1b6f032f, "__iptunnel_pull_header" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0x755f8961, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x44048df4, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xd0915c5a, "setup_udp_tunnel_sock" },
	{ 0x6fe36008, "udp_sock_create6" },
	{ 0x80b92b69, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x79fe63ce, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc1613796, "skb_scrub_packet" },
	{ 0x20b98c56, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1f74f4ed, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d82a2a9, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc00e8670, "param_ops_bool" },
	{ 0x261058e2, "udp_tun_rx_dst" },
	{ 0xea28b526, "rtnl_notify" },
	{ 0xdd25a3cb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9ae3f8ac, "__netif_rx" },
	{ 0x6b7c9078, "skb_clone" },
	{ 0x93f3cb60, "metadata_dst_alloc" },
	{ 0x10fd1e14, "dst_release" },
	{ 0xf5a07641, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xb309b114, "udp_tunnel_notify_del_rx_port" },
	{ 0x1d3bf996, "register_nexthop_notifier" },
	{ 0xe2ad1bf4, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x2daec7ce, "gro_find_receive_by_type" },
	{ 0x1a16fb3b, "netdev_core_stats_inc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x5c3e21ba, "netdev_info" },
	{ 0x39047b22, "neigh_lookup" },
	{ 0xb33c3e9f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BF27CFA156EE356313FB69");
MODULE_INFO(rhelversion, "9.7");
