#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0xcc4ce690, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x4bd938e5, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x539d269f, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x7776bda6, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x93af7720, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0xc13d4bdd, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xbbdc452c, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xf4eba923, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x1a332ce3, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x9a22f464, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xb3d5c91c, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x23c11690, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xfae45279, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xf202a327, "_gpl");
SYMBOL_CRC(qeth_poll, 0xae50383a, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x03dcd06e, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x514ffbbd, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0xe52e7bc4, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x82d04f9d, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x8d660eac, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xb5ad6a93, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x3778962b, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x00cf64fb, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x9a9a5dc2, "_gpl");
SYMBOL_CRC(qeth_features_check, 0xd8409142, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0xb690e4d5, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x47eea37b, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x892ffb22, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x20512952, "_gpl");
SYMBOL_CRC(qeth_open, 0x14ea4be8, "_gpl");
SYMBOL_CRC(qeth_stop, 0x6c5b626b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7935bcf7, "ccw_device_get_cssid" },
	{ 0x32eb48b8, "napi_alloc_skb" },
	{ 0x64aa210d, "alloc_etherdev_mqs" },
	{ 0x843025b4, "ccw_device_halt" },
	{ 0x9a2c87f6, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x45f8cb7a, "qdio_shutdown" },
	{ 0xaa4611ea, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x872f375a, "ccwgroup_set_offline" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0x97eff0d1, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb1e067cf, "skb_copy_bits" },
	{ 0xe5ad047a, "qdio_allocate" },
	{ 0xe2a58f25, "qdio_inspect_output_queue" },
	{ 0x532d878d, "skb_put" },
	{ 0x857d12bb, "skb_tstamp_tx" },
	{ 0x7e28e754, "netdev_update_features" },
	{ 0xfcd54efa, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5189b9cb, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc00f4c3b, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x40bff637, "skb_add_rx_frag" },
	{ 0x856ebbb7, "debug_set_level" },
	{ 0x418a716d, "register_service_level" },
	{ 0xaa2b4ed6, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa46b6c9f, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xf9f3657c, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbcb9d57d, "qdio_add_bufs_to_output_queue" },
	{ 0x2e76e631, "__netif_napi_del" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0xc073fa5, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xf38b1df0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb1a4b968, "qdio_get_ssqd_desc" },
	{ 0x46a55524, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc89895da, "pskb_expand_head" },
	{ 0x8832613d, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x9fd0cb22, "eth_type_trans" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x3cab807c, "napi_complete_done" },
	{ 0xa964663, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xd770f7c3, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xf8c0d37c, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7b007e77, "put_device" },
	{ 0xa6cff1a2, "__napi_schedule" },
	{ 0x29c8b313, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x47f237f0, "netif_device_detach" },
	{ 0x19b6546e, "__free_pages" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9b4b1861, "_dev_info" },
	{ 0xd06affd4, "napi_gro_receive" },
	{ 0xaa40ccd6, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x888ed8e1, "ccwgroup_probe_ccwdev" },
	{ 0x614906f2, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc3f28177, "_dev_err" },
	{ 0xa3954b21, "softnet_data" },
	{ 0xfc7c47e1, "ccw_device_get_id" },
	{ 0x52a9dcf1, "__root_device_register" },
	{ 0x85b873df, "ccw_device_get_ciw" },
	{ 0xcedffe5c, "netif_set_real_num_tx_queues" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x4de1a529, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xcd39eb80, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1067651c, "skb_push" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0x8d975db5, "ccwgroup_driver_register" },
	{ 0x5ac9422f, "debugfs_remove" },
	{ 0x2e8222f0, "napi_enable" },
	{ 0x345ab80d, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x41dd96b3, "__debug_sprintf_event" },
	{ 0x12a50d9d, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3e1095db, "netif_tx_stop_all_queues" },
	{ 0x8986339f, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xcbb3f8ef, "ccw_device_set_offline" },
	{ 0xf5954313, "_dev_warn" },
	{ 0x8e73effb, "ccw_driver_register" },
	{ 0x5a8f77ef, "netif_schedule_queue" },
	{ 0xb8a26776, "__alloc_pages" },
	{ 0x204be085, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x6eb4dcfa, "netdev_set_tc_queue" },
	{ 0x8c955702, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0x1ecc5984, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0x68742d48, "kthread_create_on_node" },
	{ 0x251033ac, "debug_hex_ascii_view" },
	{ 0xadce2740, "debug_unregister" },
	{ 0xde927c5d, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x2f5dc00c, "ccwgroup_driver_unregister" },
	{ 0x7da669ed, "ccwgroup_remove_ccwdev" },
	{ 0xda427732, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe483bc60, "ccw_device_get_iid" },
	{ 0x6b242a3, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6732852f, "netif_carrier_off" },
	{ 0x18b63169, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb3c371b2, "ccw_device_set_online" },
	{ 0x2466884a, "netdev_set_num_tc" },
	{ 0x6e568e34, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6559265e, "single_release" },
	{ 0x24b6c32c, "qdio_add_bufs_to_input_queue" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x937c463e, "__napi_schedule_irqoff" },
	{ 0xe02b2ec2, "napi_schedule_prep" },
	{ 0x709af7ed, "napi_consume_skb" },
	{ 0xd55f22, "debug_sprintf_view" },
	{ 0xc430b0f8, "qdio_stop_irq" },
	{ 0x235ee7f0, "napi_disable" },
	{ 0xfd1c74d3, "qdio_free" },
	{ 0xac8003ed, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x29ed5de8, "debugfs_create_dir" },
	{ 0x82d4e77d, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x5ed704af, "ccw_driver_unregister" },
	{ 0x3e05469, "skb_clone_tx_timestamp" },
	{ 0x328371cb, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x89f0be51, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "FBC9028ACD69E705172FA0A");
MODULE_INFO(rhelversion, "9.7");
