#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xf822e29e, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x8f12124d, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x779a222d, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x365c2ea6, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xd0e0c118, "_gpl");
SYMBOL_CRC(br_forward, 0xee86c0f7, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x4701a96b, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x2b6e3769, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x9fdce52b, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xcd744d59, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x2e55c330, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xfe3fa28a, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x0f228506, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xdec75c6a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x6ded6c87, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x1125ce0a, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x9ff22a00, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x2760cbaa, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xec45d2f8, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x08d5bc9c, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xa6ff63ec, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xf476a8e8, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x8b7c7931, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xe8555ae1, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xbdeb7857, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96bf7386, "netdev_lower_get_next" },
	{ 0x36383b2, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3d5829d, "dev_pre_changeaddr_notify" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xb1e067cf, "skb_copy_bits" },
	{ 0x4e4e82c4, "__nlmsg_put" },
	{ 0x418ebf75, "switchdev_port_attr_set" },
	{ 0x1a5fafc6, "ipv6_mc_check_mld" },
	{ 0x532d878d, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xfb6bd8cb, "call_switchdev_notifiers" },
	{ 0xc9fd9676, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7e28e754, "netdev_update_features" },
	{ 0xfcd54efa, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x81d0249a, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x616a7b32, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xbc59458d, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x621d7c5e, "dev_uc_del" },
	{ 0xb2b6afe0, "netpoll_send_skb" },
	{ 0xfcaee689, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xffdd58f0, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4322982c, "switchdev_port_obj_act_is_deferred" },
	{ 0x1cdbebed, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x11484acb, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xdb49a1fd, "netdev_state_change" },
	{ 0x7ea15aca, "__pskb_copy_fclone" },
	{ 0xd547c46b, "__dev_get_by_name" },
	{ 0xf38b1df0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2f01f94f, "netdev_err" },
	{ 0xc89895da, "pskb_expand_head" },
	{ 0xb9c95ade, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x620f4772, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x2e1e5a09, "arp_xmit" },
	{ 0xd0f0458d, "__traceiter_br_mdb_full" },
	{ 0xa964663, "alloc_netdev_mqs" },
	{ 0x2f9b95f6, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x665c53d6, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x72cd68d6, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x45e186a7, "__alloc_skb" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0x79df5f8f, "rtnl_set_sk_err" },
	{ 0x4da38de0, "skb_vlan_pop" },
	{ 0xe55b7eb2, "rtnl_unicast" },
	{ 0xfb8dcb18, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb90d3fae, "ipv6_dev_get_saddr" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x38f8fd68, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3ba3ae29, "__dev_get_by_index" },
	{ 0xfd646579, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xbce5fb81, "dev_get_port_parent_id" },
	{ 0x29d8648b, "init_net" },
	{ 0xf89e9100, "ipv6_stub" },
	{ 0xadeeb3fc, "inet_confirm_addr" },
	{ 0x641218c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc3b6e1f1, "sysfs_remove_link" },
	{ 0x70e10fb3, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xce200ade, "rtnl_af_unregister" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xbb1f04f, "arp_send" },
	{ 0x73dcec0d, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0xf60efe53, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x1067651c, "skb_push" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0x264ddf1, "br_fdb_test_addr_hook" },
	{ 0x6e939777, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0xc1a98cf1, "netdev_upper_dev_unlink" },
	{ 0x1d352ded, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbed7c6eb, "llc_mac_hdr_init" },
	{ 0x345ab80d, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7d10093c, "kobject_init_and_add" },
	{ 0x37fa500a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xcf7fe4db, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x1b47180e, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x12a50d9d, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x701f5838, "arp_create" },
	{ 0x45e7b15f, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcc53030, "stp_proto_register" },
	{ 0xab88701f, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0xcf84f407, "sysfs_rename_link_ns" },
	{ 0xf234d0bc, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd1314ce5, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0x755f8961, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x44048df4, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x12288994, "ip_mc_check_igmp" },
	{ 0x1ecc5984, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x5dcb92bf, "switchdev_port_obj_del" },
	{ 0x167277c0, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x48eaaa71, "kobject_create_and_add" },
	{ 0x80b92b69, "skb_trim" },
	{ 0x46243e37, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x79fe63ce, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x4a2f874b, "__ip_mc_inc_group" },
	{ 0x942d049d, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5e51642f, "sysfs_remove_group" },
	{ 0x7ffe24ab, "__traceiter_br_fdb_external_learn_add" },
	{ 0x547ba32f, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8069d3db, "__netpoll_setup" },
	{ 0x773c2a73, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6d4b6a0, "vlan_vid_add" },
	{ 0x3d82a2a9, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x426478c0, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x695a1034, "call_netdevice_notifiers" },
	{ 0x80cadabf, "is_skb_forwardable" },
	{ 0xba0482c5, "vlan_vid_del" },
	{ 0xc2997d22, "dev_set_allmulti" },
	{ 0xb2198e89, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf47e682c, "netdev_master_upper_dev_get" },
	{ 0x64c29d27, "ipv6_dev_mc_inc" },
	{ 0xea28b526, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6732852f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb30b08b4, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6b7c9078, "skb_clone" },
	{ 0x93f3cb60, "metadata_dst_alloc" },
	{ 0x10fd1e14, "dst_release" },
	{ 0x5729ba5d, "netif_carrier_on" },
	{ 0x6e568e34, "kobject_uevent" },
	{ 0xf5a07641, "arp_tbl" },
	{ 0x6832b9dc, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x84f937d4, "netdev_rx_handler_register" },
	{ 0xe9744b40, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xdd202b83, "netif_set_tso_max_size" },
	{ 0xdb2145c8, "dev_disable_lro" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xd8a32e22, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6e3dceb1, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x46be64cb, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x409ca9a, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xbf74dfbd, "nf_queue" },
	{ 0xc524f2e3, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xeb3cda0d, "skb_ext_add" },
	{ 0xd94477bf, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xddf2ad77, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x39047b22, "neigh_lookup" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x18a5d2eb, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "62CB88665C30230D3C64E10");
MODULE_INFO(rhelversion, "9.7");
