#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xff7dd084, "");
SYMBOL_CRC(is_hsr_master, 0xf02abbdd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36383b2, "dev_set_mtu" },
	{ 0x21190bae, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xb9ed4b20, "eth_header" },
	{ 0x532d878d, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7e28e754, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xfcaee689, "rtnl_link_register" },
	{ 0x5bf13986, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x638e21dc, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x11484acb, "dev_set_promiscuity" },
	{ 0xf9f3657c, "seq_lseek" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc90bd1f6, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0x7e7f8fd, "netlink_ack" },
	{ 0x7ea15aca, "__pskb_copy_fclone" },
	{ 0x813d9a4a, "dev_uc_unsync" },
	{ 0xf38b1df0, "ether_setup" },
	{ 0x3958f89c, "netlink_broadcast_filtered" },
	{ 0x2f01f94f, "netdev_err" },
	{ 0x4d80cacf, "netdev_upper_dev_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x665c53d6, "netdev_rx_handler_unregister" },
	{ 0x556d451f, "eth_header_parse" },
	{ 0x45e186a7, "__alloc_skb" },
	{ 0x8a126fea, "skb_copy_expand" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3ba3ae29, "__dev_get_by_index" },
	{ 0xfd646579, "rtnl_link_unregister" },
	{ 0x29d8648b, "init_net" },
	{ 0x641218c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x373730b2, "mark_tech_preview" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x2ef2d9a1, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x73dcec0d, "dev_get_by_index_rcu" },
	{ 0xcd39eb80, "netdev_printk" },
	{ 0x1067651c, "skb_push" },
	{ 0x5ac9422f, "debugfs_remove" },
	{ 0xc1a98cf1, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xda08bd2b, "netdev_set_operstate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0x44048df4, "netif_rx" },
	{ 0x1ecc5984, "__netdev_alloc_skb" },
	{ 0x80b92b69, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xde927c5d, "seq_read" },
	{ 0x10d2de58, "debugfs_rename" },
	{ 0xda427732, "debugfs_create_file" },
	{ 0x773c2a73, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x695a1034, "call_netdevice_notifiers" },
	{ 0xc2997d22, "dev_set_allmulti" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6732852f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x18b63169, "seq_printf" },
	{ 0x6b7c9078, "skb_clone" },
	{ 0x5729ba5d, "netif_carrier_on" },
	{ 0x84f937d4, "netdev_rx_handler_register" },
	{ 0xc20cdf7, "seq_puts" },
	{ 0x6559265e, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7888f410, "genl_unregister_family" },
	{ 0xdb2145c8, "dev_disable_lro" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x46be64cb, "dev_kfree_skb_any_reason" },
	{ 0xac8003ed, "single_open" },
	{ 0x29ed5de8, "debugfs_create_dir" },
	{ 0xb35e1536, "dev_mc_unsync" },
	{ 0xb529242d, "genl_register_family" },
	{ 0x1a16fb3b, "netdev_core_stats_inc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x5c3e21ba, "netdev_info" },
	{ 0x23100039, "dev_mc_sync_multiple" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FFA98137783DA6609973C85");
MODULE_INFO(rhelversion, "9.7");
