#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xb2e19d48, "");
SYMBOL_CRC(ieee802154_free_hw, 0x4b0a73c4, "");
SYMBOL_CRC(ieee802154_register_hw, 0x182c60dd, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x3bcb15db, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xe89a89b0, "");
SYMBOL_CRC(ieee802154_wake_queue, 0xe4d2b772, "");
SYMBOL_CRC(ieee802154_stop_queue, 0x4c30df7d, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x4754d253, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x164c488f, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4e530087, "bpf_trace_run4" },
	{ 0x532d878d, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfcd54efa, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0xa88a03ff, "skb_dequeue" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0xf76c02e8, "hrtimer_init" },
	{ 0xb0ed5042, "dev_alloc_name" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xecdaf8a9, "crypto_alloc_aead" },
	{ 0xa5b1ba51, "bpf_trace_run2" },
	{ 0xc90bd1f6, "netdev_warn" },
	{ 0x968b4618, "crypto_aead_setauthsize" },
	{ 0xd90ed040, "crypto_aead_decrypt" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0xcee48306, "crypto_skcipher_setkey" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0xc96b8ec8, "ieee802154_hdr_peek_addrs" },
	{ 0x800b0671, "wpan_phy_unregister" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0x6b3a5453, "crypto_destroy_tfm" },
	{ 0xa964663, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0x302ca6b7, "crypto_skcipher_decrypt" },
	{ 0x8a126fea, "skb_copy_expand" },
	{ 0x68c2424c, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9c94dca0, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2edb7346, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2d1897b7, "wpan_phy_register" },
	{ 0xab5492e8, "crypto_aead_encrypt" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1067651c, "skb_push" },
	{ 0x7543465d, "ieee802154_hdr_peek" },
	{ 0xb0170125, "wpan_phy_free" },
	{ 0x1d352ded, "netif_receive_skb" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x345ab80d, "free_netdev" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf29773d0, "bpf_trace_run1" },
	{ 0x8986339f, "netif_tx_wake_queue" },
	{ 0xf5954313, "_dev_warn" },
	{ 0x27e9ac7, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x7bfb9540, "ieee802154_hdr_pull" },
	{ 0xdf78a76f, "crypto_alloc_sync_skcipher" },
	{ 0x80b92b69, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x79fe63ce, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x8f63e103, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe979d593, "wpan_phy_new" },
	{ 0x6b7c9078, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c3cbabd, "hrtimer_cancel" },
	{ 0x5af0afba, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x46be64cb, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "46960314F983F83CB5B47F0");
MODULE_INFO(rhelversion, "9.7");
