#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x92ff682e, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xfd7a1713, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x30fd22c2, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x7fce72a5, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xee66ae86, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x3425f28a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7561d3d, "nf_ct_ext_add" },
	{ 0x91c019b9, "nsh_pop" },
	{ 0x2bd73f79, "nf_conntrack_find_get" },
	{ 0x66509d8b, "nf_ct_set_timeout" },
	{ 0x2fcab768, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x5870cc5b, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5a3fa3d8, "dev_fill_metadata_dst" },
	{ 0x4e530087, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xda0d6d40, "nf_ct_handle_fragments" },
	{ 0xf9d3b4be, "eth_mac_addr" },
	{ 0x532d878d, "skb_put" },
	{ 0xec80f57c, "genl_notify" },
	{ 0xc669c8f9, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfcd54efa, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x67c09905, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2fb4b09f, "skb_eth_pop" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0x9ea1f1, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x9ac4870f, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x6727edcb, "nf_ct_helper" },
	{ 0x92a0f607, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0xa6b3857b, "rtnl_delete_link" },
	{ 0xfcaee689, "rtnl_link_register" },
	{ 0x813e03f1, "nf_connlabels_put" },
	{ 0x5bf13986, "genlmsg_put" },
	{ 0x5ddcd2f4, "___pskb_trim" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc4771287, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x11484acb, "dev_set_promiscuity" },
	{ 0xc73746ce, "nf_ct_destroy_timeout" },
	{ 0x5624e921, "nf_ct_add_helper" },
	{ 0x3d40adc1, "nf_conntrack_helper_put" },
	{ 0x61b76c6e, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3d4558bb, "nf_ct_skb_network_trim" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0xed76576d, "unregister_netdevice_queue" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0x78f46228, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0xf38b1df0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3958f89c, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc89895da, "pskb_expand_head" },
	{ 0x8b2408f4, "skb_csum_hwoffload_help" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0x2c69e6c1, "nf_connlabels_replace" },
	{ 0x9fd0cb22, "eth_type_trans" },
	{ 0xa964663, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x4579ecfd, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x665c53d6, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0x146ab22d, "skb_eth_push" },
	{ 0x32e8bd0e, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x45e186a7, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0x3e47f6b4, "skb_mpls_pop" },
	{ 0x4da38de0, "skb_vlan_pop" },
	{ 0xf2669545, "dst_init" },
	{ 0xd61365ce, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0xbda49253, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xfd646579, "rtnl_link_unregister" },
	{ 0x2edb7346, "perf_trace_run_bpf_submit" },
	{ 0x29d8648b, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xf89e9100, "ipv6_stub" },
	{ 0x76c8a50f, "skb_mpls_update_lse" },
	{ 0x641218c, "skb_pull" },
	{ 0xdb683e29, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xa088b2d8, "sk_skb_reason_drop" },
	{ 0x2ef2d9a1, "netlink_unicast" },
	{ 0xc346b537, "bpf_trace_run5" },
	{ 0x73dcec0d, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1067651c, "skb_push" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0xc1a98cf1, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0x48a6092a, "skb_ensure_writable" },
	{ 0x345ab80d, "free_netdev" },
	{ 0x37fa500a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xfee07dfe, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x12a50d9d, "ethtool_op_get_link" },
	{ 0x4d31e55b, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x93a094d4, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x68cc5d8a, "__pskb_pull_tail" },
	{ 0x2fa2d9a6, "nf_ct_delete" },
	{ 0x4bc1257f, "nf_conncount_init" },
	{ 0x84a42b77, "skb_vlan_push" },
	{ 0x755f8961, "dev_get_tstats64" },
	{ 0x44048df4, "netif_rx" },
	{ 0x1ecc5984, "__netdev_alloc_skb" },
	{ 0x167277c0, "netdev_master_upper_dev_link" },
	{ 0xb0e54706, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x820a7bac, "inet_proto_csum_replace16" },
	{ 0x80b92b69, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc1613796, "skb_scrub_packet" },
	{ 0x14324c88, "nf_ct_deliver_cached_events" },
	{ 0xa6f06743, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xad58c25e, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x773c2a73, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0x792aaae6, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3c48db2a, "inet_proto_csum_replace4" },
	{ 0x33fc3a21, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x3cfff65c, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf47e682c, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe3619228, "dev_get_by_name" },
	{ 0x6b7c9078, "skb_clone" },
	{ 0x93f3cb60, "metadata_dst_alloc" },
	{ 0x10fd1e14, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f1d8e72, "peernet2id_alloc" },
	{ 0xbd2dc33, "nf_ct_get_tuplepr" },
	{ 0x84f937d4, "netdev_rx_handler_register" },
	{ 0x56e7dce6, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x7888f410, "genl_unregister_family" },
	{ 0xdb2145c8, "dev_disable_lro" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x46be64cb, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb529242d, "genl_register_family" },
	{ 0xdb706199, "nf_ct_tmpl_free" },
	{ 0xe50d92be, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xfa676a54, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xab5bcc3c, "skb_mpls_push" },
	{ 0xb51df79c, "register_pernet_device" },
	{ 0x2b9e79a0, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xbf248d83, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0xd7c50773, "__skb_vlan_pop" },
	{ 0x5179ad68, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c0e1ff9, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "E18D1DA92273EA1EDC8C024");
MODULE_INFO(rhelversion, "9.7");
